.publish:
  stage: publish
  extends:
  - .packer
  - .rules:default-branch:manual:docs-skip
  script:
    - export GOOGLE_PROJECT_ID=${PUBLISH_PROJECT_ID}
    - export GOOGLE_COMPUTE_ZONE=${PUBLISH_COMPUTE_ZONE}
    - export VERSION=$(date +"%Y%m%d-%H%I")
    - packer build packer.json
  environment:
    name: stable/gcp/${WINDOWS_VERSION}

publish 2019:
  extends:
  - .publish
  - .windows 2019

publish 2022:
  extends:
  - .publish
  - .windows 2022
